Subject: Re: bug#66040: 30.0.50; The XF86AudioLowerVolume on keyboard cannot be detected correctly

From: Po Lu <[email-masked]>
Date: Mon, 18 Sep 2023 08:45:20 +0800

"Wang, Zhenhua (MU-Student)" <[email-masked]> writes:

> The most recent version of Emacs doesn't recognize the
> XF86AudioLowerVolume key. I use "C-h k" to check this in "emacs
> -Q". When I press XF86AudioLowerVolume once, no information is
> displayed. However, If I press XF86AudioLowerVolume twice, "C-h k"
> indicates that I pressed "C-g".
>
> I believe that this behavior is introduced in emacs-30, because this
> key works fine in the released emacs 29.1.
>
> To reproduce, simply press the XF86AudioLowerVolume key in "emacs -Q".

Set x-quit-keysym to nil in your early-init.el, then restart Emacs.
This feature (reinterpreting volume-down keys as quit) was introduced in
Emacs 30 to support computers without physical input devices capable of
typing `C-g'.

Incidentally, what keyboard are you using?  XF86AudioLowerVolume is not
generated by any I own, and x-quit-keysym is intended to only apply to
volume rocker buttons on mobile phones and their ilk.